from devices.brennenstuhl import vlv as brennenstuhl_heatingvalve
from devices.livarno import sw as silvercrest_powerplug
from devices.livarno import sw_br_ct as livarno_sw_br_ct
from devices.my import powerplug as my_powerplug
from devices.shelly import shelly_sw1
from devices.tradfri import sw as tradfri_sw
from devices.tradfri import sw_br as tradfri_sw_br
from devices.tradfri import sw_br_ct as tradfri_sw_br_ct

tradfri_button = None   # TODO: required, when a interface for external device stimulation is available
silvercrest_motion_sensor = None
audio_status = None
remote = None


class group(object):
    def __init__(self, *args):
        self.device_group = args
        self.topic = self.device_group[0].topic

    def power_on_action(self, *args, **kwargs):
        for gm in self.device_group:
            gm.power_on_action(*args, **kwargs)
